
Base Language - Feature #1962

modify parser to add a readOnly boolean annotation to all attributes and change post_parse_fixups

to use it

01/18/2013 09:31 AM - Greg Shah

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 16.00 hours

Target version:    

billable: No version:  

vendor_id: GCD   

Description

History

#1 - 01/18/2013 09:34 AM - Greg Shah

1. Change the SymbolResolver.addAttributeOrMethod() to take a 3rd parameter: boolean readOnly. It should store this in a way that can be looked up

and used to annotate the attribute AST node later.

2. In progress.g, every call to sym.addAttributeOrMethod() will need that flag to be added.  This means that every attribute must be looked up in the

reference to see if it is "writable" and if not, set the readOnly flag to true.

3. The parser will also need a change to annotate this flag into the AST node for each attribute.

4. Finally, post-parse fixups will have to change to use the flag instead of the function "read-only-attribute".

#2 - 04/25/2013 11:24 AM - Greg Shah

- Target version changed from Milestone 7 to 24

#3 - 11/16/2016 01:16 PM - Greg Shah

- Target version deleted (24)
